/**
 * @author anab
 * 
 */
public class Papier extends Ouvrage {

	String ISDN;
	String auteur;
	String maisonImprimerie;

	public Papier(int ID, String titre, String dateDePublication, String ISDN,
			String auteur, String maisonImprimerie) {
		super(ID, titre, dateDePublication);
		this.ISDN = ISDN;
		this.auteur = auteur;
		this.maisonImprimerie = maisonImprimerie;
	}

	public void imprimer() {
	}

	/**
	 * Donner acces pour emprunter
	 * 
	 * @param t
	 *            demander access pour temps t
	 * @return vraie si l'ouvrage Papier est disponible, sinon false
	 * */
	@Override
	public boolean acces(int t) {
		if (disponible) {
			tempsPourDevenirDisponible = t;
			disponible = false;
			System.out.println("[Papier]" + ID + " " + titre + " emprunte");
			return true;
		}

		System.out.println("[Papier]" + ID + " " + titre
				+ " n'est pas disponible, essayer plus tard");
		return false;
	}

}
